%define lib_major 9
%define lib_name %mklibname %{name} %{lib_major}
%define develname %mklibname -d %name

%define api 0.0
Name: vte
Version: 0.28.2
Release: %mkrel 3
Summary: A terminal emulator widget
License: LGPLv2+
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz
Patch0: vte-alt-meta-confusion.patch
Patch1: vte-python-bugfixes.patch
Patch2: vte-0.28.2-limit-arguments.patch
Patch4: vte-0.28.2-control.patch
Patch5: vte-0.28.2-paste-fix.diff
BuildRequires: gtk+2-devel
BuildRequires: libx11-devel
BuildRequires: ncurses-devel
BuildRequires: automake
BuildRequires: gtk-doc
BuildRequires: python-devel
BuildRequires: pygtk2.0-devel
BuildRequires: gobject-introspection-devel
BuildRequires: intltool
URL: http://www.gnome.org/
Obsoletes: 	%{name} < %version
Requires:	glibc >= 2.12.1
Requires:	libstdc++6 >= 4.5.2

%description
VTE is a terminal emulator widget for use with GTK+ 2.0.


%package -n python-%{name}
Summary: Python binding for VTE
Group: Development/Python
Requires: %{name} >= %{version}

%description -n  python-%{name}
Python binding for VTE, a terminal emulator widget for use 
with GTK+ 2.0.


%package -n %{lib_name}
Summary: A terminal emulator widget
Group: System/Libraries
Requires: %{name} >= %{version}

%description -n %{lib_name}
VTE is a terminal emulator widget for use with GTK+ 2.0. 

%package -n %develname
Summary: Files needed for developing applications which use VTE
Group: Development/Libraries
Provides:  lib%{name}-devel = %{version}-%{release}
Provides:  %{name}-devel = %{version}-%{release}
Requires:  %{lib_name} = %{version}-%release
Requires: gtk+2-devel
Requires: ncurses-devel
Obsoletes: %mklibname -d %name 9

%description -n %develname
VTE is a terminal emulator widget for use with GTK+ 2.0.  This
package contains the files needed for building applications using VTE.

%prep
%setup -q
%apply_patches


%build
%configure2_5x --enable-shared --enable-static --libexecdir=%{_libdir}/%{name} --enable-python --enable-gtk-doc --enable-introspection --with-gtk=2.0

%make 

%install
rm -fr $RPM_BUILD_ROOT

%makeinstall_std

find $RPM_BUILD_ROOT/%py_platsitedir -name '*.a' | xargs rm -f
find $RPM_BUILD_ROOT/%py_platsitedir -name '*.la' | xargs rm -f
%find_lang %{name}-%api


%files -f %{name}-%api.lang
%defattr(-,root,root)
%doc COPYING HACKING NEWS README
%{_bindir}/*
%{_libdir}/%{name}
%attr(2711,root,utmp) %{_libdir}/%{name}/gnome-pty-helper
%{_datadir}/%{name}

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.%{lib_major}*
%_libdir/girepository-1.0/Vte-0.0.typelib

%files -n %develname
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/*.a
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%_datadir/pygtk/2.0/defs/vte.defs
%_datadir/gir-1.0/Vte-0.0.gir

%files -n python-%{name}
%defattr(-,root,root)
%py_platsitedir/gtk-2.0/vtemodule.so

%post -n %{lib_name}
/sbin/ldconfig

%postun -n %{lib_name}
/sbin/ldconfig

%clean
rm -fr $RPM_BUILD_ROOT


%changelog
* Thu Mar 26 2015 bb <bb> 0.28.2-3pclos2015
- add fed patches

* Wed Aug 14 2013 billybot <billybot> 0.28.2-2pclos2013
- update

* Mon Sep 19 2011 Texstar <texstar at gmail.com> 0.28.2-1pclos2011
- 0.28.2

* Wed Jul 13 2011 Texstar <texstar at gmail.com> 0.28.1-1pclos2011
- 0.28.1

* Sun Apr 17 2011 Texstar <texstar at gmail.com> 0.28.0-1pclos2011
- new version and add back gir


